changing xampp 1.8.3 for 1.8.2

Problems with the Windows version of XAMPP, questions, comments, and anything related.

changing xampp 1.8.3 for 1.8.2

Postby Martine » 16. February 2014 13:11

Hi,
I am a very beginner doing a web site. I started on line with siteground to have the site quickly on line. I then put xampp on my localhost to improve it and test easily.
I can't read the site properly after restoring on xampp the online web site because php are differents. On line it is Php 5.3.28. On local it is Php 5.5.6.
It shows some 20 lines of text like this:

params= new JRegistry(); $this->params->loadString($plugin->params, 'JSON'); $this->_cacheEnabled = $this->params->get('cache_enabled'); if ($this->_cacheEnabled === null) $this->_cacheEnabled == 1; $this->_autoflush = $this->params->get('autoFlush'); if ($this->_autoflush === null) $this->_autoflush = 1; $this->_autoflush3rdParty = $this->params->get('autoFlush-ThirdParty'); if ($this->_autoflush3rdParty === null) $this->_autoflush3rdParty = 1; $this->_autoflushClientSide = $this->params->get('autoFlush-ClientSide'); if ($this->_autoflushClientSide === null) $this->_autoflushClientSide = 0; } /** * Heartbeat cache checking function. Will also monitor $_GET for the jSGCache parameter * (pressing the purge cache button in admin) * * * @access public * @return null */ public function onAfterInitialise() { if (!$this->_cacheEnabled || $this->_isBlacklisted($this->_applicationPath)) { JResponse::setHeader('X-Cache-Enabled','False',true); return; } if ($this->_cacheEnabled) { JResponse::setHeader('X-Cache-Enabled','True',true); } //Init the application url $this->_applicationPath = str_replace(array('administrator/index.php','index.php'),'',str_replace($_SERVER['DOCUMENT_ROO

Siteground technical support advise me to use Php 4.0.
Can I download xampp 1.8.2 on top of the xampp 1.8.3?
Will I lose all the sites tests I done? If not will I be able to read them properly?
Please help.
Martine
 
Posts: 3
Joined: 16. February 2014 12:54
XAMPP Version: 1.8.3-2
Operating System: windows 7

Re: changing xampp 1.8.3 for 1.8.2

Postby Altrea » 16. February 2014 13:29

Hi Martine,

Martine wrote:Siteground technical support advise me to use Php 4.0.

You are using Joomla. Even Joomla 1.0 is able to run with PHP 5.2 so i would not recommend using an older version of PHP then PHP 5.2.

Martine wrote:Can I download xampp 1.8.2 on top of the xampp 1.8.3?

No.
And XAMPP 1.8.2 will not help you, it comes with PHP 5.4.

Martine wrote:Will I lose all the sites tests I done?

If you backup and export everything needed to restore them you can maybe move (some of) them to an older environment.

Martine wrote:If not will I be able to read them properly?

I don't understand the question, sorry.

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6761
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: W7Ux64

Re: changing xampp 1.8.3 for 1.8.2

Postby Martine » 16. February 2014 13:53

Altrea,

Thanks for your quick answer

sorry, I made a mistake. sideground said it should work with PHP 5.4 not 4.0
Should I change PHP version only and how? or all xampp?

If not will I be able to read them properly?
I mean if the test sites shows mistakes.

I am going to backup the local test sites first as you advise

In addition, is it usual that web hosting provide old versions of tools and do not upgrade each time there is a new release?
Martine
 
Posts: 3
Joined: 16. February 2014 12:54
XAMPP Version: 1.8.3-2
Operating System: windows 7

Re: changing xampp 1.8.3 for 1.8.2

Postby Altrea » 16. February 2014 14:00

Martine wrote:sideground said it should work with PHP 5.4 not 4.0

You are knowing which Joomla version you are using. Compare this information with the official
Joomla technical requirements

Martine wrote:Should I change PHP version only and how? or all xampp?

XAMPP does not support a replacement of only one single component. You need to replace the XAMPP version entirely.

Martine wrote:If not will I be able to read them properly?
I mean if the test sites shows mistakes.

Read what properly? I don't understand.

Martine wrote:In addition, is it usual that web hosting provide old versions of tools and do not upgrade each time there is a new release?

Yes, that is very common.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6761
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: W7Ux64

Re: changing xampp 1.8.3 for 1.8.2

Postby Martine » 16. February 2014 14:23

Joomla requirements: they are ok. It is mini PHP 5.3.1 for joomla 3.x I use Joomla 3.2.2

So I can replace xampp.

If not will I be able to read them properly?
I mean if the test sites shows mistakes. :

I just want to make sure the test sites I have will still look the same and I can go on using them.

Thanks a lot
Martine
 
Posts: 3
Joined: 16. February 2014 12:54
XAMPP Version: 1.8.3-2
Operating System: windows 7

Re: changing xampp 1.8.3 for 1.8.2

Postby Altrea » 16. February 2014 14:40

Martine wrote:If not will I be able to read them properly?
I mean if the test sites shows mistakes. :

I just want to make sure the test sites I have will still look the same and I can go on using them.

I don't know how Joomla reacts if something is not optimal.
It is a third party application for which we can't provide any support.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6761
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: W7Ux64


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 24 guests